Error in Sage 8 npm install: gyp: No Xcode or CLT version detected!

Aparentemente el error en MacOS surge por no tener (bien) instalado Xcode.

Tuve que desinstalarlo y volver a instalarlo:
# sudo rm -rf $(xcode-select -print-path)
# xcode-select –install

Fuente: https://github.com/schnerd/d3-scale-cluster/issues/7